Difference between revisions of "FEM ConstraintSelfWeight"

From FreeCAD Documentation
Jump to: navigation, search
Line 10: Line 10:
 
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
 
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
  
==Scripting==<!--T:4-->
+
==Scripting== <!--T:4-->
  
 +
<!--T:7-->
 
* new object
 
* new object
 
</translate>
 
</translate>
Line 20: Line 21:
 
<translate>
 
<translate>
  
 +
<!--T:8-->
 
* add object to the analysis named Analysis
 
* add object to the analysis named Analysis
 
</translate>
 
</translate>
Line 27: Line 29:
 
<translate>
 
<translate>
  
 +
<!--T:9-->
 
* example:
 
* example:
 
</translate>
 
</translate>
Line 37: Line 40:
 
<translate>
 
<translate>
  
== Solver CalculiX ==
+
== Solver CalculiX ==   <!--T:5-->
===Limitations===<!--T:5-->
+
===Limitations===
 
*You need to modify .inp file to edit gravity acceleration.
 
*You need to modify .inp file to edit gravity acceleration.
 
*Self weight is applied to the element set Eall means to the whole model.
 
*Self weight is applied to the element set Eall means to the whole model.
  
===Editing CalculiX input file===
+
===Editing CalculiX input file=== <!--T:10-->
 
Acceleration constant can be edited by hand modification after generating CalculiX input file.
 
Acceleration constant can be edited by hand modification after generating CalculiX input file.
  
Line 53: Line 56:
 
where 9810 is gravity acceleration in [mm/s^2]
 
where 9810 is gravity acceleration in [mm/s^2]
  
== Solver Z88 ==
+
== Solver Z88 == <!--T:11-->
 
* not implemented in Z88 solver (March 2017)
 
* not implemented in Z88 solver (March 2017)
  

Revision as of 22:50, 19 March 2017

FEM ConstraintSelfWeight.png FEM ConstraintSelfWeight

Menu location
FEM → Constraint self weight
Workbenches
FEM
Default shortcut
C,W
Introduced in version
-
See also
FEM tutorial


Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

How to use

  1. Click on FEM ConstraintSelfWeight.png or choose FEMFEM ConstraintSelfWeight.png Constraint self weight from the top menu or press C then W keys.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

  • new object
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
  • add object to the analysis named Analysis
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
  • example:
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration in [mm/s^2]

Solver Z88

  • not implemented in Z88 solver (March 2017)
Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский